Bug 1467966 - elasticsearch pods replicas on installation >1
elasticsearch pods replicas on installation >1
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: Jeff Cantrill
Xia Zhao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 12:47 EDT by Eduardo Minguez
Modified: 2017-09-12 12:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-12 12:00:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bunch of oc logs, oc describe, oc events, etc. (11.83 KB, application/x-gzip)
2017-07-05 12:48 EDT, Eduardo Minguez
no flags Details

  None (edit)
Description Eduardo Minguez 2017-07-05 12:47:32 EDT
Description of problem:
Trying to deploy OCP on Azure with bare minimum logging infrastructure as:

openshift_hosted_logging_deploy=True
openshift_hosted_logging_storage_kind=dynamic
openshift_logging_es_pvc_size=1G
openshift_hosted_logging_elasticsearch_cluster_size=1
openshift_logging_fluentd_nodeselector={"logging":"true"}
openshift_logging_es_nodeselector={"role":"infra"}
openshift_logging_kibana_nodeselector={"role":"infra"}
openshift_logging_curator_nodeselector={"role":"infra"}

openshift_logging_use_ops=False

openshift_logging_elasticsearch_pvc_storage_class_name="slow"
openshift_logging_elasticsearch_storage_type="pvc"
openshift_logging_elasticsearch_pvc_dynamic=true

It creates 3 elasticsearch pods (logging-es-xxxx-1-yyyy):

logging-es-3typqox8-1-50mfz    0/1       Pending       0          1m
logging-es-3typqox8-1-680vl    0/1       Pending       0          1m
logging-es-3typqox8-1-deploy   1/1       Running       0          1m
logging-es-3typqox8-1-pblj8    0/1       Pending       0          1m

And as it seems there are some issues with Azure (different BZ), the elasticsearch pods simply fails and stays in Error, so no logging is deployed.

Version-Release number of selected component (if applicable):
[edu@bastion ~]$ oc version
oc v3.5.5.26
kubernetes v1.5.2+43a9be4
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://emingueztst.eastus2.cloudapp.azure.com:8443
openshift v3.5.5.26
kubernetes v1.5.2+43a9be4


How reproducible:
Create an OCP cluster as the azure ref. arch. https://github.com/openshift/openshift-ansible-contrib/tree/master/reference-architecture/azure-ansible adding the logging ansible variables provided before

Steps to Reproduce:
1. Create an OCP cluster using the ref. arch. code but with aggregated logging enabled
2. Check logging deployment

Actual results:
The deploy pod for elasticsearch fails with "Error" therefor it is not properly deployed.

Expected results:
All pods up and running.


Additional info:
Comment 1 Eduardo Minguez 2017-07-05 12:48 EDT
Created attachment 1294669 [details]
bunch of oc logs, oc describe, oc events, etc.
Comment 5 Jeff Cantrill 2017-09-11 14:41:05 EDT
Eduardo,

Are you able to confirm the latest published image resolve your issue:

1. https://access.redhat.com/containers/#/registry.access.redhat.com/openshift3/ose-
logging-elasticsearch/images/3.5.0-38
2. Latest 3.5 installer 'yum upgrade openshift-ansible atomic-openshift-utils'

Note You need to log in before you can comment on or make changes to this bug.